Draft: Drawing

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Drawing and the translation is 26% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Clone.svg Clone
Next: Mirror Draft Mirror.svg Arrow-right.svg


Development of the Drawing Workbench stopped in FreeCAD 0.16; the new TechDraw Workbench aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.


Draft Drawing.svg Draft Drawing

poziția meniului
Drafting → Drawing
Workbenches
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul


Descriere

Acest instrument vă permite să plasați obiecte selectate pe o foaie de desne, respectiv un svg Drawing sheet. Dacă în document nu există nici o foaie sheet, aceasta va fi creată implicit. Acest instrument funcționează similar cu instrumentul Drawing View, dar este optimizat pentru obiectele Draft și poate face obiecte plane 2D cu o umplere a fațetei. De asemenea, se poate ocupa de câteva obiecte proprii atelierului Draft, cum ar fi dimensions și texts, pe care Drawing View nu le poate gestiona.

This tool works similarly to the Drawing View tool but is optimized for Draft Workbench objects, and can render 2D objects with a face filling. It can handle specific objects such as Draft Dimension and Draft Text, that the Drawing View tool cannot handle.

Draft drawing example.jpg

Draft object and dimensions imported into a Drawing page


Cum se folosește

  1. Selectați obiectele pe care doriți să le puneți pe o foaie de desen
  2. Apasă pe Draft Drawing.png Draft Drawing button

Notes:

  • The tool will work best with 2D objects from the Draft Workbench or Sketcher Workbench.
  • The selected object can also be an Arch SectionPlane, which will show the elements viewed by that plane.
  • If there is no existing page, a new one will be created.
  • If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
  • If you select a sheet and the objects already projected on that sheet, the projections will be updated.

Opţiuni

  • Selectați obiectele pe care doriți să le puneți pe foaia de desen. Instrumentul va funcționa cel mai bine cu obiecte plane 2D din modulele Draft sau Sketcher.
  • Dacă obiectul selectat este Arch SectionPlane, acest instrument va crea o vizualizare suplimentară a planului secțiunii respective.
  • În aceeași selecție, adăugați obiectul de pagină la care doriți să desenați obiectele. Dacă nu există o pagină existentă, va fi creată o pagină nouă. Dacă nu ați selectat o pagină, dar există cel puțin una în document, va fi utilizată prima pentru a desena.
  • Dacă ați selectat o foaie existentă și obiectele din selecția care sunt deja pe această foaie (de exemplu, pentru un obiect "Rectangle" există deja un obiect "ViewRectangle" pe foaie), acestea vor fi înlocuite. Acest lucru vă permite să selectați pur și simplu toate obiectele și să le trimiteți la o pagină existentă, care va fi pur și simplu actualizată.

Proprietăți

  • DATA Fill Style: Pentru forme închise, permite specificarea unuia dintre stilurile de umplere implicite ale Proiectului sau utilizarea culorii formei.
  • DATA Dimensiune font: Vă permite să specificați dimensiunea fontului textelor și dimensiunilor.
  • DATA Line Width: Vă permite să specificați lățimea liniei obiectelor vizualizate.

Scrip-Programare

Instrumentul Draft Drawing poate fi utilizat în macros și de la consola Python folosind următoarele funcții:

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Adaugă o vizualizare a obiectului dat la pagina dată.
  • Returnează obiectul de vizualizare creat.

The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by X and Y, which are given in millimeters, and Scale is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.

Exempluː

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft Clone.svg Clone
Next: Mirror Draft Mirror.svg Arrow-right.svg